<html version="2.0">
<head>
<title>LDAS Tape Controller Control and Monitoring</title>
</head>
<body>
<center>
<a name="TapeControl">
<h1>LDAS Tape Controller Control and Monitoring</h1>
</center>
<br><br>
This page supports start and stop of tape controller scripts 
that writes frame data to tape and also monitors the process.
An alarm and email are issued when the tape controller is
suspected to be not working.<p>

<ol>
<li>Initially the only button enabled is <b>Get State</b>.
Hit this button to get an initial state of tape controller
script and to detect if any monitoring is in effect.</li><p>
<li>The status returned by the server will set up the 
color of the gifs on the right: <font color='red'>red</font>
if not in operation and <font color='green'>green</font> if in operation.
Depending on the status of the tape controller and tape monitor,
the action options are set, e.g. some examples <p>
<ul>
<li>if both tape controller and monitor are
off, you are only allowed to <b>Start/Restart Tape controller and Monitor</b>
on one of the LDAS machines</li><p>
<li>if both tape controller and monitor are
on, you are only allowed to <b>Stop Tape controller</b> or
<b>Stop Tape Monitor</b> on the machine that the tape controller is
running. </li><p>
<li>if tape controller is on but monitor is off
on, you are only allowed to <b>Stop Tape controller</b> or
<b>Start Tape Monitor</b> on the machine that the tape controller is
running. </li><p>
</ul>
<li>Hit <b>SUBMIT</b> button to submit your request to the server.</li><p>
<p><p>
<img src='cmonClient-tapecntl.gif' width="800" height="600"><p><p>

<li> If monitor is on and the tape controller script does not update
log files, an alarm is issused with a repeated beep until the user
acknowledges the alarm. Email is also being sent to notify the party
in charge. 
</ol>
<p>
</body>
</html>
